POST api/NTPrescreeningDiversion/PostPSDNote
Request Information
URI Parameters
None.
Body Parameters
PSDNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| PrescreeningDiversionId | integer |
None. |
|
| NoteText | string |
String length: inclusive between 0 and 4000 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| UserName | string |
String length: inclusive between 0 and 1000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"PrescreeningDiversionId": 2,
"NoteText": "sample string 3",
"CorporationCode": "sample string 4",
"UserName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:15.5723999-07:00",
"DateUpdated": "2026-08-04T14:26:15.5723999-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfPSDNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | PSDNoteDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"PrescreeningDiversionId": 2,
"NoteText": "sample string 3",
"CorporationCode": "sample string 4",
"UserName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:15.587545-07:00",
"DateUpdated": "2026-08-04T14:26:15.587545-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
"totalCount": 3
}